The BOOST_PP_TUPLE_TO_ARRAY macro converts a tuple to an array.

#### Usage

BOOST_PP_TUPLE_TO_ARRAY(tuple) (v)
or
BOOST_PP_TUPLE_TO_ARRAY(size,tuple) (v)

#### Arguments

size
  The size of the tuple. The argument is ignored.
tuple
  The tuple to be converted.

#### Remarks

You can invoke the variadic macro (v) as BOOST_PP_TUPLE_TO_ARRAY(tuple) or BOOST_PP_TUPLE_TO_ARRAY(size,tuple) for backward compatibility.

#### Requirements

Header: <boost/preprocessor/tuple/to_array.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/to_array.hpp>

    #define TUPLE (a,b,c)

    BOOST_PP_TUPLE_TO_ARRAY(TUPLE) // expands to (3, (a, b, c))

© Copyright Edward Diener 2011,2013,2020

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)